<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="SchoolCourseInfoType">
    <xs:sequence>
      <xs:element name="SchoolInfoRefId" type="IdRefType" />
      <xs:element name="SchoolLocalId" minOccurs="0" nillable="true" type="LocalIdType" />
      <xs:element name="SchoolYear" minOccurs="0" nillable="true" type="SchoolYearType" />
      <xs:element name="TermInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="CourseCode" type="xs:normalizedString" />
      <xs:element name="StateCourseCode" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="DistrictCourseCode" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="SubjectAreaList" minOccurs="0" nillable="true" type="SubjectAreaListType" />
      <xs:element name="CourseTitle" type="xs:normalizedString" />
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="InstructionalLevel" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="CourseCredits" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="CoreAcademicCourse" minOccurs="0" nillable="true" type="AUCodeSetsYesOrNoCategoryType" />
      <xs:element name="GraduationRequirement" minOccurs="0" nillable="true" type="AUCodeSetsYesOrNoCategoryType" />
      <xs:element name="Department" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="CourseContent" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="SchoolCourseInfo" type="SchoolCourseInfoType">
    <xs:key name="SchoolCourseInfoKey1">
      <xs:selector xpath="./SchoolCourseInfo" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="SchoolCourseInfoCollectionType">
    <xs:sequence>
      <xs:element name="SchoolCourseInfo" type="SchoolCourseInfoType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="SchoolCourseInfos" type="SchoolCourseInfoCollectionType" />

</xs:schema>